Skip to content

Move a scheduled gift's delivery to another day and time

POST
/api/v1/workspaces/{workspace}/earn/gifts/{id}/delivery
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/earn/gifts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "date": "2026-04-15", "notifyBuyer": true, "time": "example", "timezone": "example" }'

Permission: earn:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

id
required

The gift’s id

string format: uuid

The gift’s id

Media typeapplication/json
object
date
required

The day, in the time zone

string format: date
notifyBuyer
boolean
time
required

The time of day, 24-hour

string
/^[0-2][0-9]:[0-5][0-9]$/
timezone

An IANA time zone; the buyer’s is the default

string

Example generated

{
"date": "2026-04-15",
"notifyBuyer": true,
"time": "example",
"timezone": "example"
}

OK

Media typeapplication/json
object
accessEnds
string format: date-time
amountCents
required
integer format: int64
boughtAt
required
string format: date-time
buyer
required
string
buyerEmail
required
string
currency
required
string
deliverAt
string format: date-time
deliveredAt
string format: date-time
emailStatus
required
string
id
required
string
inPerson
required
boolean
linkExpiresAt
string format: date-time
months
required
integer format: int64
paymentUrl
string
recipientEmail
required
string
recipientName
required
string
redeemedAt
string format: date-time
redeemedBy
string
refundedAt
string format: date-time
remindAt
string format: date-time
remindedAt
string format: date-time
short
required
string
status
required
string
Allowed values: scheduled not_redeemed redeemed expired refunded
tier
required
string
timezone
required
string

Example

{
"status": "scheduled"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}